<?php

namespace App\enum;

enum UsernameType: string
{
    case PUBLIC = 'public';
    case PREMIUM = 'premium';

    public function getColor(): string
    {
        return match ($this) {
            self::PUBLIC => 'warning',
            self::PREMIUM => 'success',
        };
    }

    public function getLabel(): string
    {
        return match ($this) {
            self::PUBLIC => 'Public',
            self::PREMIUM => 'Premium',
        };
    }
}
